Bug 399261 - Cannot compile cyrus-sasl-2.1.22-9.fc9.src.rpm
Cannot compile cyrus-sasl-2.1.22-9.fc9.src.rpm
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 04:40 EST by Jan Safranek
Modified: 2008-01-04 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 18:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock build log (200.33 KB, text/plain)
2007-11-26 04:40 EST, Jan Safranek
no flags Details
mock setup log (103.96 KB, text/plain)
2007-11-26 04:40 EST, Jan Safranek
no flags Details

  None (edit)
Description Jan Safranek 2007-11-26 04:40:05 EST
Description of problem:

I cannot compile the source rpm in mock on x86_64:
mock -r rawhide-x86_64 cyrus-sasl-2.1.22-9.fc9.src.rpm:

++ krb5-config --prefix
/var/tmp/rpm-tmp.31445: line 43: krb5-config: command not found

You can find full logs attached.

How reproducible:
always (rawhide on 2007-11-26)

Additional info:
I wanted to check, if cyrus-sasl is compilable with new openldap-2.4, see
http://people.redhat.com/jsafrane/openldap-2.4-preview/ for yum repository with
all RPMs. IMHO the compilation error is not related to this new openldap.

Please make sure that your package is compilable in current rawhide + check,
that it is compilable with new openldap-2.4-devel from my repo.
Comment 1 Jan Safranek 2007-11-26 04:40:05 EST
Created attachment 268681 [details]
mock build log
Comment 2 Jan Safranek 2007-11-26 04:40:42 EST
Created attachment 268691 [details]
mock setup log
Comment 3 Steve Conklin 2007-11-26 09:18:03 EST
You're right, it's broken. The same package built successfully on 11/07. I'll
have a look.
Comment 4 Steve Grubb 2007-11-27 14:57:32 EST
The build appears to have failed because mock could not find krb5-config. This
does not appear to be a problem with the new open-ldap package. cyrus-sasl
requires krb5-devel to be installed. This provides /etc/profile.d/krb5-devel.sh
which should get sourced at login. That sets up the path to the executable.

The build log supplied shows the package is installed, but does not show the
PATH environmental variable. I suspect this package builds fine in user's
computers and the Fedora Build system. If this is reproducible, it might be
worthwhile adding an echo $PATH right before the line in the spec file that
tries to run krb5-config to see if that's not correct.
Comment 5 Steve Conklin 2008-01-04 18:39:05 EST
This was due to a change in mock that has been reverted. I just checked and it
builds for me now using the build system.

Note You need to log in before you can comment on or make changes to this bug.